//
//	MailWatch.h
//	Support for MailWatch.m
//	Version 1.1		11/09/94
//	by Robert Lutwak	robert@amo.mit.edu

#import <appkit/View.h>
#import "Thinker.h"

id BSThinker();

#define MAXU	30
#define NAMELEN	30

#define TIMETAG	0
#define DAYTAG	1
#define DATETAG	2
#define HOSTTAG	3
#define NAMETAGSTART	4

#define YESMAIL		1
#define NOMAIL	0

typedef struct {
	BOOL HasMail;
	NXRect rect;
  	NXPoint v;          
	char name[NAMELEN];
	float mass;
	float hue;
	int type;
	BOOL active;
} usertype;

@interface MailWatchView: View
{
	int BW;
	float Gray;
	int MaxMail;
	BStimeval LastTime;
	BStimeval TimeToCheck;
	char MailDirectory[100];
	usertype users[MAXU];
	int numusers;
	id inspectorPanel;
	id NameButtons;
	id EnergySlider;
	int Energy;
	id TimeToCheckSlider;
	id TimeToCheckText;
	id NameListInspector;
	id MailDirectoryText;
	BOOL settingMailFont;
	BOOL Time;
	BOOL Date;
	BOOL Day;
	BOOL Host;
	id NameFont[2];
	id NameBrowser;
	id InfoPanel;
	id SettingsPanel;
	char NameList[1000];
	id CheckOn;					// A couple of NXImages for the browser
	id CheckOff;
	id fontPanel;
	id fontManager;
	id fontPopUp;
	id fontPopUpView;
	id helpPanel;
	id GraySlider;
	id GrayText;
	id MaxMailSlider;
	id MaxMailText;
}

-oneStep;
-initFrame:(const NXRect *)frameRect;
-initUsers;
-initImages;
-inspector:sender;
-setEnergy:sender;
-setGray:sender;
-setTimeToCheck:sender;
-NameButtonsChanged:sender;
-browserChanged:sender;
-clearNames;
-eraseName:(int)u;
-drawName:(int)u;
-setMailDirectory:sender;
-(int)browser:sender fillMatrix:(id)matrix inColumn:(int)col;
-(int)addName:(char *)newName;
- inspectorWillBeRemoved;
- fontPushed:sender;
- changeFont:sender;
- fontPopUpChanged:sender;
- helpPushed:sender;
- setMaxMail:sender;
@end
